src.backend.lib.models.Collection Class Reference
Inheritance diagram for src.backend.lib.models.Collection:

## Static Public Attributes

Mapped | collection [str]
Mapped | book_id = mapped_column(ForeignKey(Book.book_id))
Mapped | collection_id = mapped_column(primary_key=True)

## Detailed Description

    Collection model.

## Member Data Documentation

## book_id

Mapped src.backend.lib.models.Collection.book_id = mapped_column(ForeignKey(Book.book_id))

static

## collection

Mapped src.backend.lib.models.Collection.collection [str]

static

## collection_id

Mapped src.backend.lib.models.Collection.collection_id = mapped_column(primary_key=True)

static

The documentation for this class was generated from the following file:

- src/backend/lib/models.py